| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessIREstimator Struct Referenceabstract

Infra red liveness estimator interface. More...

`#include <ILivenessIREstimator.h>`

Inheritance diagram for fsdk::ILivenessIREstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &irWarp, IREstimation &irEstimation) const noexcept=0
| Check whether or not infrared warp corresponds to the real person. More...
virtual Result< FSDKError > | estimate (Span< const Image > irWarps, Span< IREstimation > irEstimation) const noexcept=0
| Check whether or not array of infrared warps corresponds to the real person. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Infra red liveness estimator interface.

Note
  This estimator is designed for face analysis using infra red facial warp (8-bit 1 channel) image.

See Also
  IWarper for details.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessIREstimator::estimate | ( | const Image & | irWarp,
|  | IREstimation & | irEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not infrared warp corresponds to the real person.

Parameters

  [in] | irWarp | infra red face warp.
  [out] | irEstimation. |

Returns
  Error code

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::ILivenessIREstimator::estimate | ( | Span< const Image > | irWarps,
|  | Span< IREstimation > | irEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not array of infrared warps corresponds to the real person.

Parameters

  [in] | irWarps | array of infra red face warps.
  [out] | irEstimation | array of ir-estimations

Returns
  Error code

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::ILivenessIREstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | warps span
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessIREstimator.h